replicaCount: 1

image:
  repository: registry.k8s.io/sig-storage/snapshot-validation-webhook
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

tlsCertUpdaterImage:
  repository: alpine
  pullPolicy: IfNotPresent
  tag: 3.11

validatingWebhook:
  failurePolicy: Fail
  timeoutSeconds: 2

# Validating webhook is exposed on an HTTPS endpoint, and so
# TLS certificate is required. This Helm chart relies on
# cert-manager.io for managing TLS certificates.
tls:
  # If not empty, this issuer will be used to sign the certificate.
  # If none is provided, a new, self-signing issuer will be created.
  issuerRef: {}
    # name: <ISSUER NAME>
    # kind: <ClusterIssuer|Issuer>
    # group: cert-manager.io

  # Certificate duration. The generated certificate will be automatically
  # renewed 1/3 of `certDuration` before its expiry.
  # Value must be in units accepted by Go time.ParseDuration.
  # See https://golang.org/pkg/time/#ParseDuration for allowed formats.
  # Minimum accepted duration is `1h`.
  # This option may be ignored/overridden by some issuer types.
  certDuration: 8760h

service:
  # Webhook service port.
  port: 443

serviceAccount:
  # Specifies whether a service account should be created.
  create: true
  # Annotations to add to the service account.
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template.
  name: ""

rbac:
  create: true

# Log verbosity level.
# See https://github.com/kubernetes/community/blob/master/contributors/devel/sig-instrumentation/logging.md
# for description of individual verbosity levels.
logVerbosityLevel: 2

podAnnotations: {}

resources: {}

nodeSelector: {}

tolerations: []

affinity: {}

nameOverride: ""
fullnameOverride: ""
